Debian Bug report logs - #645055
rtl8192ce does not support changing interface type (adhoc vs managed)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Antoine Beaupré <anarcat@debian.org>

Date: Wed, 12 Oct 2011 05:39:01 UTC

Severity: normal

Tags: upstream

Found in version 2.6.39-3~bpo60+1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to linux-wireless@vger.kernel.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#645055; Package linux-2.6. (Wed, 12 Oct 2011 05:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@koumbit.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Oct 2011 05:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@koumbit.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: realtek 8188CE ad-hoc mode not supported
Date: Wed, 12 Oct 2011 01:29:40 -0400
Package: linux-2.6
Version: 2.6.39-3~bpo60+1
Severity: normal
Tags: upstream

Hi,

The documentation for the rtl8192ce driver explicitely mentions that
it supports ad-hoc mode, yet, on the rtl8188CE card I have here (which
is advertised as supported both by the upstream driver and the driver
in the linux source), the ad-hoc mode yields this error:

root@angela:/home/anarcat# iwconfig wlan0 mode Ad-hoc essid foo
Error for wireless request "Set Mode" (8B06) :
    SET failed on device wlan0 ; Device or resource busy.

I have tried changing the case of the "ad-hoc" word and various
spellings, nothing works there. I have also tried the upstream driver
available here:

http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PFid=48&Level=5&Conn=4&ProdID=278&DownTypeID=3&GetDown=false&Downloads=true

without any more luck, which means this is a problem with upstream (or
with the card not supporting ad-hoc mode at all, although that would
be very surprising).

-- Package-specific info:
** Version:
Linux version 2.6.39-bpo.2-686-pae (Debian 2.6.39-3~bpo60+1) (norbert@tretkowski.de) (gcc version 4.4.5 (Debian 4.4.5-8) ) #1 SMP Thu Aug 4 11:02:22 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.39-bpo.2-686-pae root=/dev/mapper/angela-root ro quiet

** Tainted: O (4096)
 * Out-of-tree module has been loaded.

** Model information
not available

** Loaded modules:
Module                  Size  Used by
rtl8192ce             123507  0 
rtlwifi                96056  1 rtl8192ce
mac80211              164606  2 rtl8192ce,rtlwifi
cfg80211              107076  2 rtlwifi,mac80211
parport_pc             21895  0 
ppdev                  12621  0 
lp                     12858  0 
parport                27018  3 parport_pc,ppdev,lp
mperf                  12387  0 
cpufreq_conservative    12987  0 
cpufreq_stats          12711  0 
cpufreq_userspace      12520  0 
cpufreq_powersave      12422  0 
bridge                 59217  0 
stp                    12368  1 bridge
bnep                   17147  2 
rfcomm                 31961  4 
binfmt_misc            12778  1 
uinput                 12984  1 
fuse                   55666  1 
radeon                712182  2 
ttm                    46736  1 radeon
drm_kms_helper         26550  1 radeon
drm                   129190  3 radeon,ttm,drm_kms_helper
btusb                  17209  0 
bluetooth              92361  11 bnep,rfcomm,btusb
crc16                  12327  1 bluetooth
i2c_algo_bit           12706  1 radeon
joydev                 16906  0 
snd_hda_codec_conexant    35673  1 
snd_hda_codec_hdmi     21870  1 
snd_hda_intel          21529  0 
snd_hda_codec          57741  3 snd_hda_codec_conexant,snd_hda_codec_hdmi,snd_hda_intel
snd_hwdep              12906  1 snd_hda_codec
snd_pcm_oss            35864  0 
snd_mixer_oss          17649  1 snd_pcm_oss
snd_pcm                52731  4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi           12744  0 
snd_rawmidi            22407  1 snd_seq_midi
snd_seq_midi_event     13124  1 snd_seq_midi
arc4                   12418  2 
ecb                    12649  2 
snd_seq                39172  2 snd_seq_midi,snd_seq_midi_event
snd_timer              22171  2 snd_pcm,snd_seq
rtl8192c_common        43386  0 
uvcvideo               52490  0 
snd_seq_device         12995  3 snd_seq_midi,snd_rawmidi,snd_seq
thinkpad_acpi          46976  0 
videodev               61226  1 uvcvideo
nvram                  12853  1 thinkpad_acpi
tpm_tis                12949  0 
snd                    38189  13 snd_hda_codec_conexant,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device,thinkpad_acpi
tpm                    17476  1 tpm_tis
ac                     12552  0 
evdev                  17180  28 
media                  13692  1 videodev
video                  17345  0 
battery                12957  0 
tpm_bios               12799  1 tpm
psmouse                45863  0 
power_supply           13283  3 radeon,ac,battery
serio_raw              12758  0 
wmi                    13018  0 
rfkill                 18510  5 cfg80211,bluetooth,thinkpad_acpi
button                 12783  0 
i2c_piix4              12480  0 
pcspkr                 12515  0 
processor              26983  2 
i2c_core               19022  6 radeon,drm_kms_helper,drm,i2c_algo_bit,videodev,i2c_piix4
k10temp                12539  0 
soundcore              12878  1 snd
snd_page_alloc         12841  2 snd_hda_intel,snd_pcm
ext3                  102125  4 
jbd                    40818  1 ext3
mbcache                12810  1 ext3
sha256_generic         16709  2 
cryptd                 14071  0 
aes_i586               16608  4 
aes_generic            37066  1 aes_i586
cbc                    12659  2 
dm_crypt               17809  1 
raid10                 25831  0 
raid456                51462  0 
async_raid6_recov      12459  1 raid456
async_pq               12503  2 raid456,async_raid6_recov
raid6_pq               86733  2 async_raid6_recov,async_pq
async_xor              12390  3 raid456,async_raid6_recov,async_pq
xor                    21454  1 async_xor
async_memcpy           12363  2 raid456,async_raid6_recov
async_tx               12510  5 raid456,async_raid6_recov,async_pq,async_xor,async_memcpy
raid1                  25752  0 
raid0                  16828  0 
multipath              12832  0 
linear                 12665  0 
md_mod                 80556  6 raid10,raid456,raid1,raid0,multipath,linear
dm_mirror              17249  0 
dm_region_hash         13072  1 dm_mirror
dm_log                 13269  2 dm_mirror,dm_region_hash
dm_mod                 56401  14 dm_crypt,dm_mirror,dm_log
sd_mod                 35060  4 
crc_t10dif             12332  1 sd_mod
usb_storage            34951  0 
uas                    12975  0 
ohci_hcd               21898  0 
ahci                   20897  3 
libahci                22200  1 ahci
libata                132100  2 ahci,libahci
ehci_hcd               34885  0 
usbcore                99225  7 btusb,uvcvideo,usb_storage,uas,ohci_hcd,ehci_hcd
thermal                13058  0 
r8169                  36481  0 
scsi_mod              134453  4 sd_mod,usb_storage,uas,libata
thermal_sys            17667  3 video,processor,thermal
mii                    12595  1 r8169


*** Device features:
eth0: 0x4180
lo: 0x201b7c65
pan0: 0xff78e5
wlan0: 0x6000

** PCI devices:
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] Device [1022:1510]
	Subsystem: Advanced Micro Devices [AMD] Device [1022:1510]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64

00:01.0 VGA compatible controller [0300]: ATI Technologies Inc Device [1002:9802] (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:21df]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 45
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at 4000 [size=256]
	Region 2: Memory at f0200000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: radeon

00:01.1 Audio device [0403]: ATI Technologies Inc Device [1002:1314]
	Subsystem: ATI Technologies Inc Device [1002:1314]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 44
	Region 0: Memory at f0244000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:06.0 PCI bridge [0604]: Advanced Micro Devices [AMD] Device [1022:1514] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f0300000-f03fffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f00fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode] [1002:4391] (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo Device [17aa:21df]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 19
	Region 0: I/O ports at 4118 [size=8]
	Region 1: I/O ports at 4124 [size=4]
	Region 2: I/O ports at 4110 [size=8]
	Region 3: I/O ports at 4120 [size=4]
	Region 4: I/O ports at 4100 [size=16]
	Region 5: Memory at f024a000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: Lenovo Device [17aa:21df]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f0249000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:21df]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f024a500 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: Lenovo Device [17aa:21df]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f0248000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:21df]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f024a400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 42)
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Kernel driver in use: piix4_smbus

00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383] (rev 40)
	Subsystem: Lenovo Device [17aa:21df]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f0240000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d] (rev 40)
	Subsystem: Lenovo Device [17aa:21df]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384] (rev 40) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=64
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:15.0 PCI bridge [0604]: ATI Technologies Inc Device [1002:43a0] (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:15.1 PCI bridge [0604]: ATI Technologies Inc Device [1002:43a1] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f0100000-f01fffff
	Prefetchable memory behind bridge: 00000000f0400000-00000000f05fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 0 [1022:1700] (rev 43)
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 1 [1022:1701]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 2 [1022:1702]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 3 [1022:1703]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k10temp

00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 4 [1022:1704]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.5 Host bridge [0600]: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 6 [1022:1718]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.6 Host bridge [0600]: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 5 [1022:1716]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.7 Host bridge [0600]: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 7 [1022:1719]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
	Subsystem: Lenovo Device [17aa:21df]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 43
	Region 0: I/O ports at 3000 [size=256]
	Region 2: Memory at f0004000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at f0000000 (64-bit, prefetchable) [size=16K]
	Expansion ROM at f0020000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

04:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. RTL8188CE 802.11b/g/n WiFi Adapter [10ec:8176] (rev 01)
	Subsystem: Realtek Semiconductor Co., Ltd. Device [10ec:8195]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: I/O ports at 2000 [size=256]
	Region 2: Memory at f0100000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: rtl8192ce


** USB devices:
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 003: ID 5986:01a6 Acer, Inc Lenovo Integrated Webcam
Bus 002 Device 002: ID 0bda:0158 Realtek Semiconductor Corp. USB 2.0 multicard reader
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-bpo.2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_CA.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.39-bpo.2-686-pae depends on:
ii  debconf [debconf-2.0]       1.5.36.1     Debian configuration management sy
ii  initramfs-tools [linux-init 0.99~bpo60+1 tools for generating an initramfs
ii  linux-base                  3.2          Linux image base package
ii  module-init-tools           3.12-1       tools for managing Linux kernel mo

Versions of packages linux-image-2.6.39-bpo.2-686-pae recommends:
ii  firmware-linux-free    2.6.32-35squeeze2 Binary firmware for various driver
ii  libc6-i686             2.11.2-10         Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.39-bpo.2-686-pae suggests:
ii  grub-pc                 1.98+20100804-14 GRand Unified Bootloader, version 
pn  linux-doc-2.6.39        <none>           (no description available)

Versions of packages linux-image-2.6.39-bpo.2-686-pae is related to:
pn  firmware-bnx2               <none>       (no description available)
pn  firmware-bnx2x              <none>       (no description available)
pn  firmware-ipw2x00            <none>       (no description available)
pn  firmware-ivtv               <none>       (no description available)
pn  firmware-iwlwifi            <none>       (no description available)
ii  firmware-linux              0.32~bpo60+1 Binary firmware for various driver
ii  firmware-linux-nonfree      0.32~bpo60+1 Binary firmware for various driver
pn  firmware-qlogic             <none>       (no description available)
pn  firmware-ralink             <none>       (no description available)
pn  xen-hypervisor              <none>       (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#645055; Package linux-2.6. (Wed, 12 Oct 2011 13:12:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Oct 2011 13:12:26 GMT) Full text and rfc822 format available.

Message #10 received at 645055@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Antoine Beaupré <anarcat@koumbit.org>, 645055@bugs.debian.org
Subject: Re: Bug#645055: realtek 8188CE ad-hoc mode not supported
Date: Wed, 12 Oct 2011 14:08:32 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-10-12 at 01:29 -0400, Antoine Beaupré wrote:
> Package: linux-2.6
> Version: 2.6.39-3~bpo60+1
> Severity: normal
> Tags: upstream
> 
> Hi,
> 
> The documentation for the rtl8192ce driver explicitely mentions that
> it supports ad-hoc mode, yet, on the rtl8188CE card I have here (which
> is advertised as supported both by the upstream driver and the driver
> in the linux source), the ad-hoc mode yields this error:
> 
> root@angela:/home/anarcat# iwconfig wlan0 mode Ad-hoc essid foo
> Error for wireless request "Set Mode" (8B06) :
>     SET failed on device wlan0 ; Device or resource busy.
[...]

Can you create an ad-hoc interface like this:

    iw dev wlan0 interface add wlan1 type adhoc

(you'll need the iw package).

Ben.

-- 
Ben Hutchings
If at first you don't succeed, you're doing about average.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 12 Oct 2011 13:12:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#645055; Package linux-2.6. (Wed, 12 Oct 2011 16:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Oct 2011 16:03:06 GMT) Full text and rfc822 format available.

Message #17 received at 645055@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Antoine Beaupré <anarcat@koumbit.org>
Cc: 645055@bugs.debian.org
Subject: Re: Bug#645055: realtek 8188CE ad-hoc mode not supported
Date: Wed, 12 Oct 2011 17:01:35 +0100
On Wed, Oct 12, 2011 at 11:20:31AM -0400, Antoine Beaupré wrote:
> On Wed, 12 Oct 2011 14:08:32 +0100, Ben Hutchings <ben@decadent.org.uk> wrote:
> > Can you create an ad-hoc interface like this:
> > 
> >     iw dev wlan0 interface add wlan1 type adhoc
> > 
> > (you'll need the iw package).
> 
> Interesting - this works. Didn't know of the iw tool. But this creates a
> separate interface, kind of odd!
> 
> The adhoc mode works like that. I am not sure I understand why it
> doesn't work with iwconfig, can you enlighten me?

iwconfig uses the original WEXT (wireless extensions) configuration
interface.  This interface was never very well specified and was
implemented in inconsistent ways by different drivers.

The newer configuration interface used by iw, Network Manager and
other tools is nl80211 (netlink for IEEE 802.11).

http://linuxwireless.org/en/developers/Documentation/Wireless-Extensions
http://linuxwireless.org/en/developers/Documentation/nl80211

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#645055; Package linux-2.6. (Wed, 12 Oct 2011 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@koumbit.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Oct 2011 16:39:05 GMT) Full text and rfc822 format available.

Message #22 received at 645055@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@koumbit.org>
To: Ben Hutchings <ben@decadent.org.uk>, 645055@bugs.debian.org
Subject: Re: Bug#645055: realtek 8188CE ad-hoc mode not supported
Date: Wed, 12 Oct 2011 11:20:31 -0400
[Message part 1 (text/plain, inline)]
On Wed, 12 Oct 2011 14:08:32 +0100, Ben Hutchings <ben@decadent.org.uk> wrote:
> Can you create an ad-hoc interface like this:
> 
>     iw dev wlan0 interface add wlan1 type adhoc
> 
> (you'll need the iw package).

Interesting - this works. Didn't know of the iw tool. But this creates a
separate interface, kind of odd!

The adhoc mode works like that. I am not sure I understand why it
doesn't work with iwconfig, can you enlighten me?

Thanks!

-- 
L'art n'est pas un bureau d'anthropométrie.
                        - Léo Ferré, "Préface"
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#645055; Package linux-2.6. (Wed, 12 Oct 2011 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Oct 2011 23:27:03 GMT) Full text and rfc822 format available.

Message #27 received at 645055@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: linux-wireless <linux-wireless@vger.kernel.org>
Cc: 645055@bugs.debian.org, Antoine Beaupré <anarcat@koumbit.org>
Subject: Re: Bug#645055: realtek 8188CE ad-hoc mode not supported
Date: Thu, 13 Oct 2011 00:24:12 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-10-12 at 17:01 +0100, Ben Hutchings wrote:
> On Wed, Oct 12, 2011 at 11:20:31AM -0400, Antoine Beaupré wrote:
> > On Wed, 12 Oct 2011 14:08:32 +0100, Ben Hutchings <ben@decadent.org.uk> wrote:
> > > Can you create an ad-hoc interface like this:
> > > 
> > >     iw dev wlan0 interface add wlan1 type adhoc
> > > 
> > > (you'll need the iw package).
> > 
> > Interesting - this works. Didn't know of the iw tool. But this creates a
> > separate interface, kind of odd!
> > 
> > The adhoc mode works like that. I am not sure I understand why it
> > doesn't work with iwconfig, can you enlighten me?
> 
> iwconfig uses the original WEXT (wireless extensions) configuration
> interface.  This interface was never very well specified and was
> implemented in inconsistent ways by different drivers.
> 
> The newer configuration interface used by iw, Network Manager and
> other tools is nl80211 (netlink for IEEE 802.11).
[...]

I looked a little further and saw that nl80211 does support changing
interface type (mode).  But this driver (rtl8192ce) only supports
creating new interfaces, not changing their type.

Should mac80211 drivers generally support changing interface type
(change_interface operation)?

Ben.

-- 
Ben Hutchings
Quantity is no substitute for quality, but it's the only one we've got.
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'rtl8192ce does not support changing interface type (adhoc vs managed)' from 'realtek 8188CE ad-hoc mode not supported' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 12 Oct 2011 23:27:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'linux-wireless@vger.kernel.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 12 Oct 2011 23:27:05 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 12 Oct 2011 23:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#645055; Package linux-2.6. (Thu, 13 Oct 2011 01:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@koumbit.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Oct 2011 01:48:10 GMT) Full text and rfc822 format available.

Message #38 received at 645055@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@koumbit.org>
To: Ben Hutchings <ben@decadent.org.uk>, linux-wireless <linux-wireless@vger.kernel.org>
Cc: 645055@bugs.debian.org
Subject: Re: Bug#645055: realtek 8188CE ad-hoc mode not supported
Date: Wed, 12 Oct 2011 21:46:07 -0400
[Message part 1 (text/plain, inline)]
On Thu, 13 Oct 2011 00:24:12 +0100, Ben Hutchings <ben@decadent.org.uk> wrote:
> I looked a little further and saw that nl80211 does support changing
> interface type (mode).  But this driver (rtl8192ce) only supports
> creating new interfaces, not changing their type.
> 
> Should mac80211 drivers generally support changing interface type
> (change_interface operation)?

Seems to me really counter-intuitive that it didn't work. It was the
first time I ever see such a problem.

I have seen numerous drivers not support "Master" or "Monitor" mode,
because of limitations of the implementation or the hardware, but if
this is purely a API problem, it seems like a problem that should be
fixed...

Is this the right place though?

A.
-- 
The idea that Bill Gates has appeared like a knight in shining armour to
lead all customers out of a mire of technological chaos neatly ignores
the fact that it was he who, by peddling second-rate technology, led
them into it in the first place. - Douglas Adams (1952-2001)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#645055; Package linux-2.6. (Thu, 13 Oct 2011 02:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Larry Finger <Larry.Finger@lwfinger.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Oct 2011 02:15:05 GMT) Full text and rfc822 format available.

Message #43 received at 645055@bugs.debian.org (full text, mbox):

From: Larry Finger <Larry.Finger@lwfinger.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: linux-wireless <linux-wireless@vger.kernel.org>, 645055@bugs.debian.org, Antoine Beaupré <anarcat@koumbit.org>
Subject: Re: Bug#645055: realtek 8188CE ad-hoc mode not supported
Date: Wed, 12 Oct 2011 21:10:30 -0500
On 10/12/2011 06:24 PM, Ben Hutchings wrote:
> I looked a little further and saw that nl80211 does support changing
> interface type (mode).  But this driver (rtl8192ce) only supports
> creating new interfaces, not changing their type.
>
> Should mac80211 drivers generally support changing interface type
> (change_interface operation)?

I don't think that implementation of the WEXT interface is necessary. As to 
using iw, the following sequence worked:

iw dev wlan14 interface add wlan15 type adhoc
iw dev  set rename5 type managed
iw dev  set rename5 type adhoc

Why it was called "rename5" when I asked for "wlan15" is not understood, but the 
iw interface changes the mode for an existing interface when using rtl8192ce.

BTW, I added a new iface because I did not want to interrupt my internat connection.

Larry




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#645055; Package linux-2.6. (Thu, 13 Oct 2011 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Oct 2011 02:27:03 GMT) Full text and rfc822 format available.

Message #48 received at 645055@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Larry Finger <Larry.Finger@lwfinger.net>, Antoine Beaupré <anarcat@koumbit.org>
Cc: linux-wireless <linux-wireless@vger.kernel.org>, 645055@bugs.debian.org
Subject: Re: Bug#645055: realtek 8188CE ad-hoc mode not supported
Date: Thu, 13 Oct 2011 03:25:17 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-10-12 at 21:10 -0500, Larry Finger wrote:
> On 10/12/2011 06:24 PM, Ben Hutchings wrote:
> > I looked a little further and saw that nl80211 does support changing
> > interface type (mode).  But this driver (rtl8192ce) only supports
> > creating new interfaces, not changing their type.
> >
> > Should mac80211 drivers generally support changing interface type
> > (change_interface operation)?
> 
> I don't think that implementation of the WEXT interface is necessary.

The change_interface operation appears to be used in implementation of
nl80211 too.

> As to using iw, the following sequence worked:
> 
> iw dev wlan14 interface add wlan15 type adhoc
> iw dev  set rename5 type managed
> iw dev  set rename5 type adhoc
> 
> Why it was called "rename5" when I asked for "wlan15" is not understood,

udev's persistent name generator isn't able to distinguish the two
interfaces by MAC address, so it decides the new interface should also
be named 'wlan14'.  udev does renaming in two steps for some reason, and
the second step obviously fails.

> but the 
> iw interface changes the mode for an existing interface when using rtl8192ce.
> 
> BTW, I added a new iface because I did not want to interrupt my
> internat connection.

Hmm.  Maybe the change_interface operation is only needed to change
type/mode while the interface is up.

Antoine, did you bring the interface down before setting its mode?

Ben.

-- 
Ben Hutchings
Quantity is no substitute for quality, but it's the only one we've got.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#645055; Package linux-2.6. (Thu, 13 Oct 2011 02:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@koumbit.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Oct 2011 02:33:03 GMT) Full text and rfc822 format available.

Message #53 received at 645055@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@koumbit.org>
To: Ben Hutchings <ben@decadent.org.uk>, Larry Finger <Larry.Finger@lwfinger.net>
Cc: linux-wireless <linux-wireless@vger.kernel.org>, 645055@bugs.debian.org
Subject: Re: Bug#645055: realtek 8188CE ad-hoc mode not supported
Date: Wed, 12 Oct 2011 22:31:04 -0400
[Message part 1 (text/plain, inline)]
On Thu, 13 Oct 2011 03:25:17 +0100, Ben Hutchings <ben@decadent.org.uk> wrote:
> > but the 
> > iw interface changes the mode for an existing interface when using rtl8192ce.
> > 
> > BTW, I added a new iface because I did not want to interrupt my
> > internat connection.
> 
> Hmm.  Maybe the change_interface operation is only needed to change
> type/mode while the interface is up.
> 
> Antoine, did you bring the interface down before setting its mode?

Crap. No, I didn't. And now it works if I bring it down first. Oh well,
I guess I just made a lot of noise for nothing, this bug can be closed,
thank you!

A.

-- 
Travail, du latin Tri Palium trois pieux, instrument de torture.
[Message part 2 (application/pgp-signature, inline)]

Bug closed, send any further explanations to Antoine Beaupré <anarcat@koumbit.org> Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 13 Oct 2011 02:39:07 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Antoine Beaupré <anarcat@debian.org>' from 'Antoine Beaupré <anarcat@koumbit.org>' Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 01:48:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Dec 2011 07:36:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:28:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.